Subject: problems with i386 bootfloppies

From: [email-masked] (Frank van der Linden)

There seem to be a couple of problems with the NetBSD startup floppies on
i386 systems.

 In .commonutils (dot.commonutils in /usr/src) on the filesystem floppy
there's a "read foo" missing in the Load_fd function. Fix this by
inserting "read foo" right before "mount -t msdos /dev/fd{which}a /mnt2".

 At the moment I don't see how it is possible to install NetBSD using
just _one_ floppy drive: with the fix described earlier applied I still
get "mount: realpath /mnt2: No such file or directory", which is logical
since I inserted a _DOS_ floppy that does not have a mnt2 directory.

Onno van der Linden  c/o   [email-masked] (Frank van der Linden)